module GuanyiErp
  module Config

    def self.app_key=(val)
      @@app_key = val
    end

    def self.app_key
      @@app_key
    end

    def self.secret=(val)
      @@secret = val
    end

    def self.secret
      @@secret
    end

    def self.session_key=(val)
      @@session_key = val
    end

    def self.session_key
      @@session_key
    end

    def self.api_base_path=(val)
      @@api_base_path = val
    end

    def self.api_bash_path
      @@api_base_path
    end

    def self.api_host
      api_bash_path.scan(/(https.*.com)(\/.*)/) { |host, url|
        return host
      }
    end

    def self.api_path
      api_bash_path.scan(/(https.*.com)(\/.*)/) { |host, url|
        return url
      }
    end

  end
end